M7350v1_en_gpl

This commit is contained in:
T
2024-09-09 08:52:07 +00:00
commit f9cc65cfda
65988 changed files with 26357421 additions and 0 deletions
@@ -0,0 +1,60 @@
SUMMARY = "A parallel build system"
DESCRIPTION = "distcc is a parallel build system that distributes \
compilation of C/C++/ObjC code across machines on a network."
SECTION = "devel"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f"
PR = "r7"
DEPENDS = "avahi ${GTKDEP}"
GTKDEP_libc-uclibc = ""
GTKDEP = "gtk+"
RRECOMMENDS_${PN} = "avahi-daemon"
# Upstream change this patch periodically so store locally
# http://0pointer.de/public/distcc-avahi.patch
SRC_URI = "http://distcc.googlecode.com/files/${BPN}-${PV}.tar.bz2 \
file://distcc-avahi.patch \
file://makefile-param-order.patch \
file://default \
file://distccmon-gnome.desktop \
file://distcc"
SRC_URI[md5sum] = "0d6b80a1efc3a3d816c4f4175f63eaa2"
SRC_URI[sha256sum] = "6500f1bc2a30b1f044ebed79c6ce15457d1712263e65f0db7d6046af262ba434"
inherit autotools pkgconfig update-rc.d
INITSCRIPT_NAME = "distcc"
EXTRA_OECONF = "--with-gtk"
EXTRA_OECONF_libc-uclibc = "--without-gtk --without-gnome"
do_install_append() {
install -d ${D}${sysconfdir}/init.d/
install -d ${D}${sysconfdir}/default
install -m 0755 ${WORKDIR}/distcc ${D}${sysconfdir}/init.d/
install -m 0755 ${WORKDIR}/default ${D}${sysconfdir}/default/distcc
${DESKTOPINSTALL}
}
DESKTOPINSTALL = ""
DESKTOPINSTALL_libc-glibc () {
install -d ${D}${datadir}/distcc/
install -m 0644 ${WORKDIR}/distccmon-gnome.desktop ${D}${datadir}/distcc/
}
PACKAGES += "distcc-distmon-gnome"
FILES_${PN} = " ${sysconfdir} \
${bindir}/distcc \
${bindir}/distccd \
${bindir}/distccmon-text"
FILES_distcc-distmon-gnome = " ${bindir}/distccmon-gnome \
${datadir}/distcc"
pkg_postinst_${PN} () {
if test "x$D" != "x"; then
exit 1
else
grep distcc /etc/passwd || adduser --system --home /dev/null --no-create-home --empty-password --ingroup nogroup distcc
fi
}
@@ -0,0 +1,19 @@
# Defaults for distcc initscript
# sourced by /etc/init.d/distcc
#
# should distcc be started on boot?
#
# STARTDISTCC="true"
STARTDISTCC="true"
#
# Which networks/hosts should be allowed to connect to the daemon?
# You can list multiple hosts/networks separated by spaces.
# Networks have to be in CIDR notation, f.e. 192.168.1.0/24
# Hosts are represented by a single IP Adress
#
# ALLOWEDNETS="127.0.0.1"
ALLOWEDNETS="192.168.7.0/24"
+106
View File
@@ -0,0 +1,106 @@
#!/bin/sh
### BEGIN INIT INFO
# Provides: distcc
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 1
# Short-Description: simple distributed compiler client and server
### END INIT INFO
#
# distccd Debian init.d script contributed by Jason Thomas. (Debian #161136)
#
# skeleton example file to build /etc/init.d/ scripts.
# This file should be used to construct scripts for /etc/init.d.
#
# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
# Modified for Debian GNU/Linux
# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version: @(#)skeleton 1.9.1 08-Apr-2002 miquels@cistron.nl
#
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/distccd
NAME=distcc
DESC="Distributed Compiler Daemon"
DAEMON_ARGS="--pid-file=/var/run/$NAME.pid --daemon"
# please change those variables by overriding them in /etc/defaults/distcc
ALLOWEDNETS="127.0.0.1"
# Reads config file (will override defaults above)
[ -r /etc/default/distcc ] && . /etc/default/distcc
test -x $DAEMON || exit 0
set -e
# construct access list
ALLOW=""
for net in $ALLOWEDNETS
do
ALLOW="$ALLOW --allow $net"
done
should_start() {
if [ "$STARTDISTCC" != "true" ] && [ "$STARTDISTCC" != "YES" ]; then
echo "STARTDISTCC is set to false in /etc/default/distcc"
echo "$DAEMON not starting"
exit 0
fi
}
case "$1" in
start)
should_start
echo -n "Starting $DESC: $NAME"
start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
--exec $DAEMON -- $DAEMON_ARGS $ALLOW ||
{
code=$?
echo "$0: start failed with error code $code" >&2
exit $code
}
echo "."
;;
stop)
echo -n "Stopping $DESC: $NAME"
start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
--exec $DAEMON ||
{
code=$?
echo "$0: stop failed with error code $code" >&2
exit $code
}
echo "."
;;
restart|force-reload)
#
# If the "reload" option is implemented, move the "force-reload"
# option to the "reload" entry above. If not, "force-reload" is
# just the same as "restart".
#
echo -n "Restarting $DESC: $NAME"
start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
--exec $DAEMON
sleep 1
should_start
start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
--exec $DAEMON -- $DAEMON_ARGS $ALLOW ||
{
code=$?
echo "$0: restart failed with error code $code" >&2
exit $code
}
echo "."
;;
*)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop|restart|force-reload}" >&2
exit 1
;;
esac
exit 0
File diff suppressed because it is too large Load Diff
@@ -0,0 +1,12 @@
[Desktop Entry]
Version=0.9.4
Exec=distccmon-gnome
Name=distcc monitor
GenericName=Distributed Compile Monitor
Comment=Graphical view of distributed compile tasks
Icon=distccmon-gnome-icon
TryExec=distccmon-gnome
Terminal=false
Type=Application
Categories=GNOME;Development;
StartupNotify=true
@@ -0,0 +1,20 @@
distcc: Put the "-lLIB" parameter in the end of the gcc command.
Signed-off-by: Dongxiao Xu <dongxiao.xu@intel.com>
Upstream-Status: Pending
diff -ruN distcc-2.18.3-orig/Makefile.in distcc-2.18.3/Makefile.in
--- distcc-2.18.3-orig/Makefile.in 2011-07-25 16:43:21.000000000 +0800
+++ distcc-2.18.3/Makefile.in 2011-07-25 16:45:39.000000000 +0800
@@ -378,8 +378,8 @@
distccmon-gnome@EXEEXT@: $(mon_obj) $(gnome_obj)
$(CC) -o $@ $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(LIBS) \
- $(GNOME_CFLAGS) $(GNOME_LIBS) \
- $(mon_obj) $(gnome_obj)
+ $(GNOME_CFLAGS) \
+ $(mon_obj) $(gnome_obj) $(GNOME_LIBS)
## Dist targets